﻿@using GridMvc.Html
@using GridMvc.Sorting
@using LoyaltyPointEngine.Model.Object.CMSUser
@model Grid.Mvc.Ajax.GridExtensions.AjaxGrid<ActivityHistory>

@(
 Html.Grid(Model).Named("AllLog").Columns(columns =>
 {
     columns.Add(x => x.UserName)
         .Titled("User Name")
         .Encoded(false)
         .Sanitized(false)
         .Sortable(true)
         .RenderValueAs(x => x.UserName)
         .Filterable(false);

     columns.Add(x => x.Activity)
         .Titled("Activity")
         .Encoded(false)
         .Sanitized(false)
         .Sortable(true)
         .RenderValueAs(x => x.Activity)
         .Filterable(false);

     columns.Add(x => x.ActivityDate)
         .Titled("Activity Date")
         .Encoded(false)
         .Sanitized(false)
         .Sortable(true)
         .RenderValueAs(x => x.ActivityDate.ToString("dd-MM-yyyy HH:mm"));

     columns.Add(x => x.RetailerName)
         .Titled("Retailer Name")
         .Encoded(false)
         .Sanitized(false)
         .Sortable(true)
         .RenderValueAs(x => x.RetailerName);

     columns.Add(x => x.CheckInImage)
         .Titled("Check In Image")
         .Encoded(false)
         .Sanitized(false)
         .Sortable(true)
         .RenderValueAs(x => string.IsNullOrEmpty(x.CheckInImage) ? "" : string.Format("<a href=\"/media/CmsUserCheckIn/{0}\" target=\"blank\">Lihat disini</a>", x.CheckInImage));

 })
.Sortable()
.WithPaging(5)
)
<h3 id="totalRows">@String.Format("{0} Total Rows", ViewData.Model.GridItems.Count().ToString())</h3>
<!--Create This File by Ucup-->